Bug 469756 - (perl-Sort-Naturally) Review Request: perl-Sort-Naturally - Sort lexically, but sort numeral parts numerically
Review Request: perl-Sort-Naturally - Sort lexically, but sort numeral parts ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Sort-Natu...
:
: 1058968 (view as bug list)
Depends On:
Blocks: 1023633
  Show dependency treegraph
 
Reported: 2008-11-03 16:49 EST by Chris Weyl
Modified: 2014-02-16 06:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 23:01:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-11-03 16:49:55 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Sort-Naturally.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Sort-Naturally-1.02-1.fc9.src.rpm

Description:
This module exports two functions, 'nsort' and 'ncmp'; they are used in
implementing my idea of a "natural sorting" algorithm. Under natural
sorting, numeric substrings are compared numerically, and other
word-characters are compared lexically.


Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=916619
Comment 1 Parag AN(पराग) 2008-11-04 05:40:37 EST
Review:
+ package builds in mock (rawhide i386).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=916895
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
a173f3f8f519ebae6e5e578e843f6e1c  Sort-Naturally-1.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=23,  0 wallclock secs ( 0.03 usr  0.00 sys +  0.04 cusr  0.00 csys =  0.07 CPU)
+ Package  perl-Sort-Naturally-1.02-1.fc10  =>
Provides: perl(Sort::Naturally) = 1.02
Requires: perl >= 1:5 perl(Config) perl(Exporter) perl(integer) perl(locale) perl(strict)

APPROVED.
Comment 2 Chris Weyl 2008-11-04 11:32:32 EST
New Package CVS Request
=======================
Package Name: perl-Sort-Naturally
Short Description: package perl-Sort-Naturally is not installed

Owners: cweyl
Branches: F-8 F-9 devel
InitialCC: perl-sig
Comment 3 Chris Weyl 2008-11-04 11:34:05 EST
New Package CVS Request
=======================
Package Name: perl-Sort-Naturally
Short Description: Sort lexically, but sort numeral parts numerically
Owners: cweyl
Branches: F-8 F-9 devel
InitialCC: perl-sig
Comment 4 Chris Weyl 2008-11-04 17:03:06 EST
Let's try this again, but with F-10.  Heh.

New Package CVS Request
=======================
Package Name: perl-Sort-Naturally
Short Description: Sort lexically, but sort numeral parts numerically
Owners: cweyl
Branches: F-8 F-9 F-10 devel
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2008-11-05 17:50:04 EST
cvs done.
Comment 6 Petr Šabata 2014-01-29 03:18:10 EST
*** Bug 1058968 has been marked as a duplicate of this bug. ***
Comment 7 Petr Šabata 2014-01-29 03:20:28 EST
Package Change Request
======================
Package Name: perl-Sort-Naturally
New Branches: el6 epel7
Owners: delete
InitialCC: perl-sig

Requesting EPEL branches for Matías Kreder, see bug #1058968.
Comment 8 Gwyn Ciesla 2014-01-29 08:08:17 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2014-01-29 13:34:09 EST
perl-Sort-Naturally-1.03-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Sort-Naturally-1.03-8.el6
Comment 10 Fedora Update System 2014-02-16 06:19:48 EST
perl-Sort-Naturally-1.03-8.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.